docker容器对宿主机的内核版本有要求吗?

docker容器对宿主机的内核版本有要求吗?比如我在高版本的内核上构建的镜像,能在很老很旧的内核上运行容器吗显示全部

docker容器对宿主机的内核版本有要求吗?比如我在高版本的内核上构建的镜像,能在很老很旧的内核上运行容器吗

收起
参与4

返回沈天真的回答

沈天真沈天真  售前支持 , IPS

docker 容器和Host共用内核的吧;直接运行在裸机上,高版本内核上构建出来的容器运行很可能有问题;试试先建kvm虚拟机,虚拟机里面运行高版本内核,容器再跑在里面。自己没试过;

硬件生产 · 2022-10-21
浏览881

回答者

沈天真
售前支持IPS
擅长领域: 服务器云计算存储

沈天真 最近回答过的问题

回答状态

  • 发布时间:2022-10-21
  • 关注会员:2 人
  • 回答浏览:881
  • X社区推广